petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDSSetBdDiscretization

Sets the boundary discretization object for the given field

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetBdDiscretization(PetscDS prob, PetscInt f, PetscObject disc)

Not collective

### Input Parameters

| prob | - The PetscDS object
| f | - The field number
| disc | - The boundary discretization object

### See Also

PetscDSGetBdDiscretization(), PetscDSAddBdDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

Level:beginner
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex77.c.html